Skip to main content
GET
Get the latest completed Monitor report

Authorizations

Authorization
string
header
required

Itoflow access token issued for the Itoflow API.

Path Parameters

id
string<uuid>
required

Monitor UUID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Latest completed monitor report

completed_at
string | null
required
execution_id
string<uuid>
required

Monitor execution UUID. Use this value for the reports/{reportId} detail path; it is distinct from report_id.

queued_at
string
required
report_date
string
required
run_type
enum<string>
required
Available options:
manual,
scheduled
started_at
string | null
required
status
enum<string> | null
required
Available options:
queued,
running,
completed,
failed,
superseded,
null
superseded_at
string | null
required
watchlist_id
string<uuid>
required
watchlist_version_id
string<uuid>
required
published_at
string | null
required
report
object | null
required
report_id
string<uuid> | null
required

UUID of the saved report artifact. It is distinct from execution_id and is not the reports/{reportId} lookup value.

structured_dashboard
object | null
required
error_message
string | null
task_id
string | null
dataframe_snapshots
object